package com.brilliance.isc.vo.manager;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.*;
import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class TbpVo extends BaseEntity {

    private Trnbch rec;

    private List<Trnbch> trnbchlst;

    private String branch;

    private String inr;

    private String oldtrncod;

    private String transName;

    private String lev;

    private Oppbnm oppbnm;

    private List<Oppbnm> oppbnmlst;

    private List<Bnmlst> bnmlst;

    private List<Jcklst> jcklst;

    //一键设置比例值
    private BigDecimal setratval = Decimals.ZERO_SCALE2;

    //一键设置金额值
    private BigDecimal setamtval = Decimals.ZERO_SCALE2;

    private String forfaitpart;   //福费廷参与方

    private String kjcyhh;   //参与者行号

    public void reset() {
        if (trnbchlst == null) {
            trnbchlst = new ArrayList<>();
        }
        if (oppbnmlst == null) {
            oppbnmlst = new ArrayList<>();
        }
        if (bnmlst == null) {
            bnmlst = new ArrayList<>();
        }
        if (jcklst == null) {
            jcklst = new ArrayList<>();
        }
    }
}
